Notification - event

This endpoint will receive the main notification stream for the platform events.

Body Params
uuid
required

Unique identifier (UUID) of the customer associated with the notification

uuid
required

Idempotency key (UUID) to uniquely represent this request and prevent duplication.

string
enum
required

The type of the notification event - one of:

  • ACCOUNT_STATUS_CHANGE: The status of an account has changed
  • APPLE_PAY_REWARD_FOR_CUSTOMER: Apple Pay reward reminder
  • CARD_ADDED_TO_WALLET: Card has been added to a device wallet
  • CARD_STATUS_CHANGE: The status of a card has changed
  • CUSTOMER_DETAILS_CHANGE: Customer's personal details have been updated
  • CUSTOMER_STATUS_UPDATED: Customer's status has been updated
  • ONBOARDING_PASSED: Customer onboarding completed successfully
  • ONBOARDING_FAILED: Customer onboarding failed
  • REMINDER: A reminder
  • SCHEDULED_PAYMENT: Scheduled payment creation notification
  • TRANSACTION: Transaction notification
  • DIRECT_ENTRY: Direct Entry notification
  • MANDATE: Mandate notification
  • MANDATE_DUE_PAYMENT: Mandate due payment notification
  • MANDATE_PAYMENT: Mandate payment notification
  • MANDATE_ACTION_EXPIRATION: Mandate action expiration notification
  • DELEGATED_OTP_NOTIFICATION: Delegated OTP notification for 3DS authentication
string

Firebase token of the customer's device

string
enum

The party responsible for the triggering of an action resulting in a notification event. Possible values:

  • CLIENT: Client executed an action which triggered the event.
  • PLATFORM: Shaype executed an action which triggered the event.
Allowed:
uuid

Unique identifier (UUID) of the Card associated with the event

uuid

Unique identifier (UUID) of the Product of the account associated with the event

accountStatusChangeEvent
object

Details of the Account Status Change event; provided when the type is ACCOUNT_STATUS_CHANGE.

customerStatusUpdatedEvent
object

Details of the Customer Status Updated event; provided when the type is CUSTOMER_STATUS_UPDATED.

transactionEvent
object

Details of the Transaction event; provided when the type is TRANSACTION.

cardStatusChangeEvent
object

Details of the Card Status Change event; provided when the type is CARD_STATUS_CHANGE.

customerDetailsChangeEvent
object

Details of the Customer Details Change event; provided when the type is CUSTOMER_DETAILS_CHANGE.

cardAdditionToWalletEvent
object

Details of the Card Added to Wallet event; provided when the type is CARD_ADDED_TO_WALLET.

string
enum

Type of the Reminder event; provided when the type is REMINDER. Possible values:

  • REMINDER_TO_COMPLETE_FUNDING
  • REMINDER_TO_PROVISION_DIGITAL_CARD
  • REMINDER_TO_TRANSACT
  • APPLE_PAY_REMINDER_24_HRS
  • APPLE_PAY_REMINDER_7_DAYS
  • APPLE_PAY_SPEND_REMINDER_7_DAYS
  • APPLE_PAY_SPEND_REMINDER_14_DAYS
  • APPLE_PAY_ADD_TO_WALLET_REMINDER_30_DAYS
  • APPLE_PAY_ADD_TO_WALLET_REMINDER_60_DAYS
  • APPLE_PAY_ADD_TO_WALLET_REMINDER_90_DAYS
  • GOOGLE_PAY_24_HRS_PARTIAL_PROVISIONING
  • GOOGLE_PAY_7_DAYS_PARTIAL_PROVISIONING
  • GOOGLE_PAY_7_DAYS_SPEND_REMINDER
  • GOOGLE_PAY_14_DAYS_SPEND_REMINDER
  • CARD_EXPIRY_MONTH_REMINDER
  • CARD_EXPIRY_2_WEEK_REMINDER
  • CARD_EXPIRY_DAY_REMINDER
scheduledPaymentEvent
object

Details of the Scheduled Payment Created event; provided when the type is SCHEDULED_PAYMENT.

onboardingFailedEvent
object

Details of the Onboarding Failed event; provided when the type is ONBOARDING_FAILED.

directEntryEvent
object

Details of the Direct Entry event; provided when the type is DIRECT_ENTRY.

mandateDuePaymentEventDto
object

Details of the Mandate Due Payment event; provided when the type is MANDATE_DUE_PAYMENT.

mandateEventDto
object

Details of the Mandate event; provided when the type is MANDATE.

mandatePaymentEventDto
object

Details of the Mandate Payment event; provided when the type is MANDATE_PAYMENT.

applePayRewardForCustomerEvent
object

Details of the Apple Pay Reward For Customer event; provided when the type is APPLE_PAY_REWARD_FOR_CUSTOMER.

cardExpiryReminderEvent
object

Details of the Card About To Expire event; provided when the type is REMINDER with one of the following reminder type values:

  • CARD_EXPIRY_MONTH_REMINDER
  • CARD_EXPIRY_2_WEEK_REMINDER
  • CARD_EXPIRY_DAY_REMINDER
mandateActionExpirationEvent
object

Details of the Mandate Action Expiration event; provided when the type is MANDATE_ACTION_EXPIRATION.

delegatedOtpNotificationEvent
object

Details of the Delegated OTP Notification event; provided when the type is DELEGATED_OTP_NOTIFICATION.

Responses
200

Success

403

Unauthorised

422

Invalid Input

500

Internal error

Language